package cn.iocoder.yudao.module.mes.controller.admin.workteam.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WorkTeamUserRoleEnum {

    组长(1),
    工人(2);

    private final Integer value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static WorkTeamUserRoleEnum fromValue(int value) {
        for (WorkTeamUserRoleEnum status : WorkTeamUserRoleEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }

}